<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Registro"
                widgetVar="EditarActivo"
                modal="true"
                resizable="false"
                closable="true"
                width="600" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="numero" value="No:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="numero" value="#{folioMB.activoSeleccionado.folio}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            <p:column>
                                <p:inputText value="#{folioMB.activoSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{folioMB.activoSeleccionado.id}" readonly="true" style="width: 350px" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha" value="Fecha: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="fecha" value="#{folioMB.activoSeleccionado.fecha}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            
                            
                            <p:column>
                                <h:outputLabel for="productor" value="Productor: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="productor"  value="#{folioMB.activoSeleccionado.id_productor}"
                                                filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                   <f:selectItem itemLabel="Selecciona una opción"  />
                                   <f:selectItems value="#{folioMB.productores}"
                                   var="registrop"
                                   itemLabel="#{registrop.nombre}"
                                   itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="bruto" value="* Peso Bruto:" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="bruto" value="#{folioMB.activoSeleccionado.peso_bruto}" style="width: 350px" 
                                             required="true" requiredMessage="Es requerido el peso bruto" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tara" value="Peso Tara:" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="tara" value="#{folioMB.activoSeleccionado.peso_tara}" style="width: 350px"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="neto" value="Peso Neto: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="neto" value="#{folioMB.activoSeleccionado.peso_neto}" style="width: 350px" readonly="true" />
                            </p:column>
                            
                            <p:column >
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Pasar a Recepción"
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{folioMB.editarActivo(folioMB.activoSeleccionado,
                                                  folioMB.activoSeleccionado.id_productor,1)}">
                                    </p:commandButton>
                                </div>
                            </p:column>
                            <p:column>
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Guardar"
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{folioMB.editarActivo(folioMB.activoSeleccionado,
                                                  folioMB.activoSeleccionado.id_productor,0)}">
                                    </p:commandButton>
                                    <p:spacer width="100" height="10" />
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button"
                                        icon="ui-icon-circle-close"
                                        style="font-size:  100%" 
                                        onclick="PF('EditarActivo').hide();">
                                    </p:commandButton>
                                </div>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
